Bug 70172 - [Chromium] Implement canvas.toDataURL("image/webp")
: [Chromium] Implement canvas.toDataURL("image/webp")
Status: RESOLVED FIXED
: WebKit
Canvas
: 528+ (Nightly build)
: Unspecified Unspecified
: P2 Normal
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2011-10-15 01:02 PST by
Modified: 2011-11-13 17:22 PST (History)


Attachments
Patch (18.80 KB, patch)
2011-10-15 01:04 PST, noel gordon
no flags Review Patch | Details | Formatted Diff | Diff
Patch (19.06 KB, patch)
2011-10-16 22:35 PST, noel gordon
no flags Review Patch | Details | Formatted Diff | Diff
Update ChangeLog. (19.05 KB, patch)
2011-10-19 01:05 PST, noel gordon
no flags Review Patch | Details | Formatted Diff | Diff
Patch for landing. (19.15 KB, patch)
2011-11-04 00:40 PST, noel gordon
no flags Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2011-10-15 01:02:14 PST
[Chromium] Implement canvas.toDataURL("image/webp")
------- Comment #1 From 2011-10-15 01:04:59 PST -------
Created an attachment (id=111129) [details]
Patch
------- Comment #2 From 2011-10-16 22:35:43 PST -------
Created an attachment (id=111214) [details]
Patch
------- Comment #3 From 2011-10-19 01:05:12 PST -------
Created an attachment (id=111573) [details]
Update ChangeLog.
------- Comment #4 From 2011-11-02 21:46:41 PST -------
(From update of attachment 111573 [details])
View in context: https://bugs.webkit.org/attachment.cgi?id=111573&action=review

> Source/WebCore/platform/graphics/skia/ImageBufferSkia.cpp:391
> +            return "data:,";

Should "data:," be a constant shared by all the uses in this function?
------- Comment #5 From 2011-11-03 05:08:14 PST -------
Indeed, could be shared yes.  In a future patch, I plan to factor it out and
make this function return a boolean.
------- Comment #6 From 2011-11-04 00:40:53 PST -------
Created an attachment (id=113629) [details]
Patch for landing.
------- Comment #7 From 2011-11-04 14:14:41 PST -------
(From update of attachment 113629 [details])
Clearing flags on attachment: 113629

Committed r99319: <http://trac.webkit.org/changeset/99319>
------- Comment #8 From 2011-11-04 14:14:46 PST -------
All reviewed patches have been landed.  Closing bug.
------- Comment #9 From 2011-11-13 17:22:25 PST -------
(In reply to comment #5)
> In a future patch, I plan to factor it out and make this function return a boolean.

Bug 71846